Contributors tmtmtmtm

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling...  -----> Ruby app detected -----> Compiling Ruby -----> Using Ruby version: ruby-2.4.1 -----> Installing dependencies using bundler 1.15.2  Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.1). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.  Fetching gem metadata from https://rubygems.org/.........  Fetching version metadata from https://rubygems.org/..  Fetching dependency metadata from https://rubygems.org/.  Fetching https://github.com/everypolitician/scraped.git  Fetching https://github.com/openc/sqlite_magic.git  Fetching https://github.com/openaustralia/scraperwiki-ruby.git  Fetching https://github.com/everypolitician/wikidata-fetcher.git  Fetching rake 12.3.1  Fetching ast 2.4.0  Using bundler 1.15.2  Fetching coderay 1.1.2  Installing ast 2.4.0  Fetching colorize 0.8.1  Installing rake 12.3.1  Installing coderay 1.1.2  Fetching diskcached 1.1.3  Fetching unf_ext 0.0.7.5  Installing diskcached 1.1.3  Fetching excon 0.62.0  Installing unf_ext 0.0.7.5 with native extensions  Installing colorize 0.8.1  Fetching multipart-post 2.0.0  Installing multipart-post 2.0.0  Fetching field_serializer 0.3.0  Installing field_serializer 0.3.0  Fetching hashie 3.5.7  Installing hashie 3.5.7  Installing excon 0.62.0  Fetching httpclient 2.8.3  Installing httpclient 2.8.3  Fetching json 2.1.0  Installing json 2.1.0 with native extensions  Fetching method_source 0.9.0  Installing method_source 0.9.0  Fetching mime-types-data 3.2016.0521  Installing mime-types-data 3.2016.0521  Fetching mini_portile2 2.3.0  Installing mini_portile2 2.3.0  Fetching netrc 0.11.0  Installing netrc 0.11.0  Fetching parallel 1.12.1  Installing parallel 1.12.1  Fetching powerpack 0.1.1  Installing powerpack 0.1.1  Fetching rainbow 3.0.0  Installing rainbow 3.0.0  Fetching require_all 2.0.0  Installing require_all 2.0.0  Fetching ruby-progressbar 1.9.0  Installing ruby-progressbar 1.9.0  Fetching unicode-display_width 1.3.0  Installing unicode-display_width 1.3.0  Fetching sqlite3 1.3.13  Installing sqlite3 1.3.13 with native extensions  Fetching yajl-ruby 1.3.1  Installing yajl-ruby 1.3.1 with native extensions  Fetching parser 2.5.0.5  Installing parser 2.5.0.5  Fetching faraday 0.14.0  Installing faraday 0.14.0  Fetching pry 0.11.3  Installing pry 0.11.3  Fetching mime-types 3.1  Installing mime-types 3.1  Fetching nokogiri 1.8.2  Installing nokogiri 1.8.2 with native extensions  Fetching unf 0.1.4  Installing unf 0.1.4  Using sqlite_magic 0.0.6 from https://github.com/openc/sqlite_magic.git (at master@4df975e)  Fetching rubocop 0.54.0  Fetching faraday_middleware 0.12.2  Installing faraday_middleware 0.12.2  Fetching wikisnakker 0.9.1  Installing rubocop 0.54.0  Installing wikisnakker 0.9.1  Fetching domain_name 0.5.20170404  Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby.git (at morph_defaults@fc50176)  Using scraped 0.6.2 from https://github.com/everypolitician/scraped.git (at master@7fd4391)  Fetching wikidata-client 0.0.12  Installing domain_name 0.5.20170404  Fetching http-cookie 1.0.3  Installing wikidata-client 0.0.12  Installing http-cookie 1.0.3  Fetching faraday-cookie_jar 0.0.6  Installing faraday-cookie_jar 0.0.6  Fetching rest-client 2.0.2  Installing rest-client 2.0.2  Fetching mediawiki_api 0.7.1  Installing mediawiki_api 0.7.1  Using wikidata-fetcher 0.21.0 from https://github.com/everypolitician/wikidata-fetcher.git (at master@f6a205f)  Bundle complete! 9 Gemfile dependencies, 44 gems now installed.  Gems in the groups development and test were not installed.  Bundled gems are installed into ./vendor/bundle.  Bundle completed (32.51s)  Cleaning up the bundler cache.  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.1). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`. -----> Detecting rake tasks   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:363:in `open_http': 403 Forbidden (OpenURI::HTTPError) from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:741:in `buffer_open' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:212:in `block in open_loop' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:210:in `catch' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:210:in `open_loop' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:151:in `open_uri' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:721:in `open' from /app/vendor/ruby-2.4.1/lib/ruby/2.4.0/open-uri.rb:35:in `open' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request/strategy/live_request.rb:10:in `response' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:29:in `block in first_successful_response' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `each' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `each' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `each' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `each' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `first' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:30:in `first_successful_response' from /app/vendor/bundle/ruby/2.4.0/bundler/gems/scraped-7fd43913456a/lib/scraped/request.rb:13:in `response' from scraper.rb:76:in `<main>'

Data

Downloaded 615 times by everypolitician SmartVMDev tmtmtmtm

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (1.38 MB) Use the API

rows 10 / 5028

statement id name constituency_id constituency party_id party start_date end_date term
Q76139-07f5e4c0-4905-ca9f-733a-da7486a1dcac
Q76139
Gerry Adams
Q6689841
Louth
Q76382
Sinn Féin
2011-03-09
2016-02-03
31
Q76139-6D34FE78-9885-4C9D-9304-7522BBAC769A
Q76139
Gerry Adams
Q6689841
Louth
Q76382
Sinn Féin
2016-03-10
32
Q248784-5eed763d-48ef-ebc3-8e82-9cac60b7a76b
Q248784
Pearse Doherty
Q2669879
Donegal South–West
Q76382
Sinn Féin
2011-03-09
2016-02-03
31
Q248784-63851e67-4ca8-a7a9-cd67-538d32d2c469
Q248784
Pearse Doherty
Q2669879
Donegal South–West
Q76382
Sinn Féin
2010-11-26
2011-02-01
30
Q248784-CC6D7FC8-2065-4C62-A492-EF3E466449DB
Q248784
Pearse Doherty
Q5295599
Donegal
Q76382
Sinn Féin
2016-03-10
32
Q266969-74873443-D816-4C20-BE6D-BF1E95604B91
Q266969
Frank Fahy
Q4568022
Galway East
Q216517
Fianna Fáil
1943-07-01
1944-05-10
11
Q266969-88A88DC5-541F-41EA-AEDA-9DA9C92E7CE0
Q266969
Frank Fahy
Q7567326
South Galway
Q76382
Sinn Féin
1919-01-21
1921-05-10
1
Q266969-91273135-5875-407D-80ED-67621E7BBD62
Q266969
Frank Fahy
Q5519462
Galway
Q216517
Fianna Fáil
1927-06-23
1927-08-16
5
Q266969-B1DB29FC-008B-470D-949A-FA859F390154
Q266969
Frank Fahy
Q5519497
Galway South
Q216517
Fianna Fáil
1951-06-13
1953-07-12
14
Q266969-B4543C43-1135-4847-910B-2EF35CDDD3D5
Q266969
Frank Fahy
Q5519462
Galway
Q52695852
Sinn Féin (Anti-Treaty)
1922-09-09
1923-08-09
3

Statistics

Average successful run time: 1 minute

Total run time: 1 day

Total cpu time used: about 1 hour

Total disk space used: 1.41 MB

History

  • Auto ran revision c0884b66 and failed .
    nothing changed in the database
  • Auto ran revision c0884b66 and failed .
    nothing changed in the database
  • Auto ran revision c0884b66 and failed .
    nothing changed in the database
  • Auto ran revision c0884b66 and failed .
    nothing changed in the database
  • Auto ran revision c0884b66 and failed .
    nothing changed in the database
  • ...
  • Created on morph.io

Show complete history